<?php

/**
 * Implements hook_rules_action_info().
 */
function notifo_rules_action_info() {
  return array(
    'notifo_notification' => array(
      'label' => t('Send a notification to a user'),
      'parameter' => array(
        'user' => array('type' => 'user', 'label' => t('Recipient')),
        'msg' => array('type' => 'text', 'label' => t('Message')),
        'label' => array('type' => 'text', 'label' => t('Label')),
        'title' => array('type' => 'text', 'label' => t('Title')),
        'uri' => array('type' => 'uri', 'label' => t('URI')),
      ),
      'group' => t('Notifo'),
    ),
  );
}

/**
 * Rules Action callback; Sends a Notifo notification.
 */
function notifo_notification($user, $msg, $label, $title, $uri) {
  if (isset($user->notifo)) {
    notifo_send_notification($user->notifo, $msg, $label, $title, $uri);
  }
}

